﻿<%@ OutputCache Duration="600" VaryByParam="None"
                SqlDependency="MyCache:books" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs)
        lblCur.Text = DateTime.Now.ToString()
    End Sub
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>GridViewコントロール</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        現在時刻：<asp:Label ID="lblCur" runat="server"></asp:Label><br />
        <asp:GridView ID="grid" runat="server" AllowPaging="True" AllowSorting="True"
            AutoGenerateColumns="False" CellPadding="4" DataKeyNames="isbn" DataSourceID="sds"
            ForeColor="#333333" GridLines="None">
            <FooterStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
            <Columns>
                <asp:ImageField DataAlternateTextField="title" DataAlternateTextFormatString="{0}"
                    DataImageUrlField="isbn" DataImageUrlFormatString="http://www.wings.msn.to/books/{0}/{0}_logo.jpg"
                    HeaderText="ロゴ">
                </asp:ImageField>
                <asp:HyperLinkField DataNavigateUrlFields="isbn" DataNavigateUrlFormatString="http://www.wings.msn.to/index.php/-/A-03/{0}/"
                    DataTextField="isbn" DataTextFormatString="ISBN{0}" HeaderText="ISBNコード" SortExpression="isbn"
                    Target="_blank" />
                <asp:BoundField DataField="title" HeaderText="書名" SortExpression="title" />
                <asp:BoundField DataField="publish" HeaderText="出版社" SortExpression="publish" />
                <asp:BoundField DataField="price" DataFormatString="{0:#,###}円" HeaderText="単価" HtmlEncode="False"
                    SortExpression="price" />
                <asp:BoundField DataField="publishDate" DataFormatString="{0:yyyy年MM月dd日}" HeaderText="刊行日"
                    HtmlEncode="False" SortExpression="publishDate" />
                <asp:CommandField ButtonType="Button" ShowDeleteButton="True" ShowEditButton="True" />
            </Columns>
            <RowStyle BackColor="#E3EAEB" />
            <EditRowStyle BackColor="#7C6F57" />
            <SelectedRowStyle BackColor="#C5BBAF" Font-Bold="True" ForeColor="#333333" />
            <PagerStyle BackColor="#666666" ForeColor="White" HorizontalAlign="Center" />
            <HeaderStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
            <AlternatingRowStyle BackColor="White" />
        </asp:GridView>
        <asp:SqlDataSource ID="sds" runat="server" ConnectionString="<%$ ConnectionStrings:MyDBCache %>"
            OldValuesParameterFormatString="original_{0}" SelectCommand="SELECT [isbn], [title], [price], [publish], [publishDate], [updated] FROM [books]">
        </asp:SqlDataSource>
    
    </div>
    </form>
</body>
</html>
